optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
optoKummenberg.registers.MiscSystems.VectorPatternMemory Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.VectorPatternMemory:

## Public Member Functions
def | __init__ (self, board=None)
def | SetPattern (self, index, vector)
def | GetPattern (self, index, count)
def | SetPatternSegment (self, index, vector)
def | GetPatternSegment (self, int index, int count)
def | GetProxyValidity (self)
def | SaveVectorMemory (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Public Attributes
| name
| sys_id
| proxy_valid
| vector
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Static Public Attributes
int | sys_id = 0x26
dict | proxy_valid
dict | vector = {'id': sys_id << 8, 'type': float}

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Vector Pattern Memory
    System ID: 0x26

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | proxy_valid               | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.MiscSystems.VectorPatternMemory.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetPattern()

def optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetPattern | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetPatternSegment()

def optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetPatternSegment | ( |  | self,
|  | int | index,
|  | int | count
| ) |  |

## ◆ GetProxyValidity()

def optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetProxyValidity | ( |  | self | ) |

## ◆ SaveVectorMemory()

def optoKummenberg.registers.MiscSystems.VectorPatternMemory.SaveVectorMemory | ( |  | self | ) |

## ◆ SetPattern()

def optoKummenberg.registers.MiscSystems.VectorPatternMemory.SetPattern | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ SetPatternSegment()

def optoKummenberg.registers.MiscSystems.VectorPatternMemory.SetPatternSegment | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## Member Data Documentation

## ◆ name

optoKummenberg.registers.MiscSystems.VectorPatternMemory.name

## ◆ proxy_valid [1/2]

dict optoKummenberg.registers.MiscSystems.VectorPatternMemory.proxy_valid
| static

Initial value:
= {'id': sys_id << 8 | 0x00,
'type': int,
'unit': None,
'range': [0, 1],
'default': False,
'value': False}

## ◆ proxy_valid [2/2]

optoKummenberg.registers.MiscSystems.VectorPatternMemory.proxy_valid

## ◆ sys_id [1/2]

int optoKummenberg.registers.MiscSystems.VectorPatternMemory.sys_id = 0x26
| static

## ◆ sys_id [2/2]

optoKummenberg.registers.MiscSystems.VectorPatternMemory.sys_id

## ◆ vector [1/2]

dict optoKummenberg.registers.MiscSystems.VectorPatternMemory.vector = {'id': sys_id << 8, 'type': float}
| static

## ◆ vector [2/2]

optoKummenberg.registers.MiscSystems.VectorPatternMemory.vector

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py